Subject: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Dec 2012 11:49:29 +0200

> The concept of burying does not exist with browsers, IIUC.

I don't see something analogous in browsers too, but in Emacs
for frame-local buffer lists, burying implies a ring structure
(a circular list) where popping the first buffer from the top of
the ring pushes it to the bottom.  It seems that reported problems are
caused by the fact that window-local buffers don't form a circular ring.

> And from my personal experience I can tell that making
> Firefox's TabMixPlus always do what I mean in a specific
> context is virtually impossible.

Firefox's TabMixPlus provides 6 options to focus
after closing the current tab:

1. First tab
2. Left tab
3. Right tab
4. Last tab
5. Opener/right tab
6. Last opened tab

Currently `q' in Emacs performs the option 3 "Right tab" that means
to restore the last buffer in the list of previous buffer (or maybe it's
the option 6 "Last opened tab"?).  But I believe that more useful would be
the option 5 "Opener/right tab" where Opener means the buffer that
initially displayed the current buffer, so `q' should restore it.
If you disagree then maybe this should be configurable in Emacs?